Subject: Re: [PATCH] forcedeth: make msi-x different name for rx-tx

From: Yinghai Lu <[email-masked]>
Date: Fri, 06 Feb 2009 08:57:57 -0800

Ingo Molnar wrote:
> Cool cleanups!
> 
> Would you mind to also fix the following - on all my systems that have 
> forcedeth gigabit ethernet i've been getting these bogus warnings for 
> _years_, under moderate load:
> 
>   eth2: too many iterations (16) in nv_nic_irq.
> 
> I think a 64 iterations limit will work much better. (i tried a limit of 50 
> a year ago for a while and it worked fine and had no side effects - and the 
> bogus warnings were done.)

you may enable CONFIG_FORCEDETH_NAPI.

we should enable NAPI for forcedeth by default, and try to squash more bugs out.

YH